# log4cxx::xml Namespace Reference

## Classes

class | DOMConfigurator
| Use this class to initialize the log4cxx environment using a DOM tree. More...
class | XMLLayout
| The output of the XMLLayout consists of a series of log4j:event elements. More...

## Functions

| LOG4CXX_PTR_DEF (DOMConfigurator)
| LOG4CXX_PTR_DEF (XMLLayout)

## Function Documentation

log4cxx::xml::LOG4CXX_PTR_DEF | ( | XMLLayout |  | ) |

log4cxx::xml::LOG4CXX_PTR_DEF | ( | DOMConfigurator |  | ) |